Package com.ads.api.beans.sm

# Class SMSchema

java.lang.Object
com.ads.api.beans.sm.SMSchema

public class SMSchema extends Object
This class provides some beans control methods related to Schema, and its related Audit History Details.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SMSchema()`
  `SMSchema(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addTable(SMTable table)`
  Adds Table as specified in SMTable Object.
  `void`
  `addTable(String name, SMTable table)`
  Adds the SMTable Object for the specified tableName.
  `Collection<SMTable>`
  `getAllTables()`
  Returns the list of SMTable objects.
  `SMTable`
  `getComponent(String tableName)`
  Returns the SMTable Object for the specified tableName.
  `Collection<SMTable>`
  `getEntities(SMTable.SMTableType type)`
  Returns the list of SMTable objects.
  `SMEnvironment`
  `getEnvironment()`
  `String`
  `getSchemaName()`
  `SMTable`
  `getSynonym(String tableName)`
  Returns the SMTable Object for the specified tableName.
  `Collection<SMTable>`
  `getSynonyms()`
  Returns the list of SMTable objects of type SYNONYM.
  `SMTable`
  `getTable(String tableName)`
  Returns the SMTable Object for the specified tableName.
  `SMTable`
  `getTable(String tableName, SMTable.SMTableType tableType)`
  Returns the SMTable Object for the specified tableName.
  `Collection<SMTable>`
  `getTables()`
  Returns the list of SMTable objects.
  `SMTable`
  `getView(String tableName)`
  Returns the SMTable Object for the specified tableName.
  `Collection<SMTable>`
  `getViews()`
  Returns the list of SMTable objects of type VIEW.
  `void`
  `setEnvironment(SMEnvironment environment)`
  Method sets the environment object as specified.
  `void`
  `setSchemaName(String schemaName)`
  Method sets the schemaName as specified.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SMSchema

    public SMSchema()

  - ### SMSchema

    public SMSchema(String name)

- ## Method Details

  - ### addTable

    public void addTable(SMTable table)
    Adds Table as specified in SMTable Object.
    Parameters:
      `table` - SMTable

  - ### addTable

    public void addTable(String name, SMTable table)
    Adds the SMTable Object for the specified tableName.
    Parameters:
      `table` - SMTable
      `name` - String

  - ### getAllTables

    public Collection<SMTable> getAllTables()
    Returns the list of SMTable objects.
    Returns:
      SMTable objects Collection

  - ### getEntities

    public Collection<SMTable> getEntities(SMTable.SMTableType type)
    Returns the list of SMTable objects.
    Returns:
      SMTable objects Collection

  - ### getTables

    public Collection<SMTable> getTables()
    Returns the list of SMTable objects.
    Returns:
      SMTable objects Collection

  - ### getViews

    public Collection<SMTable> getViews()
    Returns the list of SMTable objects of type VIEW.
    Returns:
      SMTable objects Collection

  - ### getSynonyms

    public Collection<SMTable> getSynonyms()
    Returns the list of SMTable objects of type SYNONYM.
    Returns:
      SMTable objects Collection

  - ### getSchemaName

    public String getSchemaName()
    Returns:
      the schemaName

  - ### setSchemaName

    public void setSchemaName(String schemaName)
    Method sets the schemaName as specified.
    Parameters:
      `schemaName` - the schemaName to set

  - ### getTable

    public SMTable getTable(String tableName)
    Returns the SMTable Object for the specified tableName.
    Parameters:
      `tableName` - String
    Returns:
      SMTable

  - ### getView

    public SMTable getView(String tableName)
    Returns the SMTable Object for the specified tableName.
    Parameters:
      `tableName` - String
    Returns:
      SMTable

  - ### getSynonym

    public SMTable getSynonym(String tableName)
    Returns the SMTable Object for the specified tableName.
    Parameters:
      `tableName` - String
    Returns:
      SMTable

  - ### getComponent

    public SMTable getComponent(String tableName)
    Returns the SMTable Object for the specified tableName.
    Parameters:
      `tableName` - String
    Returns:
      SMTable

  - ### getTable

    public SMTable getTable(String tableName, SMTable.SMTableType tableType)
    Returns the SMTable Object for the specified tableName.
    Parameters:
      `tableName` - String
    Returns:
      SMTable

  - ### getEnvironment

    public SMEnvironment getEnvironment()
    Returns:
      the environment

  - ### setEnvironment

    public void setEnvironment(SMEnvironment environment)
    Method sets the environment object as specified.
    Parameters:
      `environment` - the environment to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`